Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant
Class CactifyWarTask.EjbRef

    java.lang.Object
      org.apache.cactus.integration.ant.CactifyWarTask.EjbRef

Enclosing class:
  CactifyWarTask

public static final class CactifyWarTask.EjbRef
extends java.lang.Object

Implements the nested element ejbref

Constructor Summary
`CactifyWarTask.EjbRef()`

Method Summary
`java.lang.String` | `getJndiName()` Returns the jndi name
`java.lang.String` | `getLocalHomeInterface()` Returns the local home interface
`java.lang.String` | `getLocalInterface()` Return the local interface
`java.lang.String` | `getName()` Returns the name
`java.lang.String` | `getType()` Returns the type
`void` | `setJndiName(java.lang.String theJndiName)` Sets the jndiName
`void` | `setLocalHomeInterface(java.lang.String theLocalHomeInterface)` Sets the local home interface
`void` | `setLocalInterface(java.lang.String theLocalInterface)` Sets the local interface
`void` | `setName(java.lang.String theName)` Sets the name
`void` | `setType(java.lang.String theType)` Sets the type

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CactifyWarTask.EjbRef

    public CactifyWarTask.EjbRef()

Method Detail

### getJndiName

    public java.lang.String getJndiName()

  Returns the jndi name

  Returns:
    Returns the jndiName.

### setJndiName

    public void setJndiName(java.lang.String theJndiName)

  Sets the jndiName

  Parameters:
    `theJndiName` - The jndiName to set.

### getLocalHomeInterface

    public java.lang.String getLocalHomeInterface()

  Returns the local home interface

  Returns:
    Returns the localHomeInterface.

### setLocalHomeInterface

    public void setLocalHomeInterface(java.lang.String theLocalHomeInterface)

  Sets the local home interface

  Parameters:
    `theLocalHomeInterface` - The localHomeInterface to set.

### getLocalInterface

    public java.lang.String getLocalInterface()

  Return the local interface

  Returns:
    Returns the localInterface.

### setLocalInterface

    public void setLocalInterface(java.lang.String theLocalInterface)

  Sets the local interface

  Parameters:
    `theLocalInterface` - The localInterface to set.

### getName

    public java.lang.String getName()

  Returns the name

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String theName)

  Sets the name

  Parameters:
    `theName` - The name to set.

### getType

    public java.lang.String getType()

  Returns the type

  Returns:
    Returns the type.

### setType

    public void setType(java.lang.String theType)

  Sets the type

  Parameters:
    `theType` - The type to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.